using System.Numerics;
using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.SyntheticsReader.ContractDefinition
{
    public partial class Numbers : NumbersBase { }

    public class NumbersBase 
    {
        [Parameter("uint8", "orderType", 1)]
        public virtual byte OrderType { get; set; }
        [Parameter("uint8", "decreasePositionSwapType", 2)]
        public virtual byte DecreasePositionSwapType { get; set; }
        [Parameter("uint256", "sizeDeltaUsd", 3)]
        public virtual BigInteger SizeDeltaUsd { get; set; }
        [Parameter("uint256", "initialCollateralDeltaAmount", 4)]
        public virtual BigInteger InitialCollateralDeltaAmount { get; set; }
        [Parameter("uint256", "triggerPrice", 5)]
        public virtual BigInteger TriggerPrice { get; set; }
        [Parameter("uint256", "acceptablePrice", 6)]
        public virtual BigInteger AcceptablePrice { get; set; }
        [Parameter("uint256", "executionFee", 7)]
        public virtual BigInteger ExecutionFee { get; set; }
        [Parameter("uint256", "callbackGasLimit", 8)]
        public virtual BigInteger CallbackGasLimit { get; set; }
        [Parameter("uint256", "minOutputAmount", 9)]
        public virtual BigInteger MinOutputAmount { get; set; }
        [Parameter("uint256", "updatedAtTime", 10)]
        public virtual BigInteger UpdatedAtTime { get; set; }
        [Parameter("uint256", "validFromTime", 11)]
        public virtual BigInteger ValidFromTime { get; set; }
    }
}
